Yourlabs

django-autocomplete-light

django-autocomplete-light 3.5.0 jquery moving release

| by jpic | django-autocomplete-light python

Django-autocomplete-light 3.5.0 was released, including backward compatibility breaks.

Read More

django-autocomplete-light 3.4.1 bugfix release

| by jpic | django-autocomplete-light python
Django-autocomplete-light 3.4.0 introduced a regression in locale loading, it has been reported by Phil Gyford, thank you !

django-autocomplete-light 3.4.0 release

| by jpic | django-autocomplete-light python
This release re-enables Python 2 and Django 1.11 support, even though it doesn't pass all tests because tests rely on dicts being ordered by default which came in Python 3 Also, this release exits from using Django's vendored select2, and vendors select2 itself with a submodule again, this is to benefit from upstream bugfixes faster

django-autocomplete-light 3.3.2 release

| by jpic | python django django-autocomplete-light
3.3.2 fixes a regression with static files loading in django.contrib.admin that was introduced in 3.3.1 Note that it also supports Wagtail now, thanks to @coredumperror

django-autocomplete-light 3.3.1 release

| by jpic | python django django-autocomplete-light
Thanks to awesome contributors from all around the world, DAL 3.3.1 is out, one month after 3.3.0, that was the first non-rc release of 3.3.0 which starts to require Django 2.0. 3.3.1 Fixed a bug in the way jquery.init.js was being used by @coredumperror Set select2 container CSS class to :all: @hbielenia Added missing renderer parameter to render method for django 2.1 @monim67 Fix ImportError with SELECT2_TRANSLATIONS in Django 1. Read More

Django-autocomplete-light 3.3.0 release

| by jpic | python django-autocomplete-light django
Changes since 3.3.0-rc6: - use admin statics - #981: create option behaviour - #995: automatically generated views for generic foreign key fields - Getting placeholder and minimumInputLength from dal select - #1017: Initial migrations and database - Turkish translation - Added support for forwarded fields to Select2GenericForeignKeyModelField Since 3.2.10: 3.3.0-rc6 #959: Django 2.0 widgets may load jQuery after dal #959 3.3.0-rc5 #895: Self() and JavaScript() forward features 3. Read More

DAL 3.3.0-rc3 release

| by jpic | django-autocomplete-light python
Django-autocomplete-light 3.3.0-rc3 was released. Please try it out and submit feedback ! With LOVE jpic

django-autocomplete-light 3.3.0-rc1

| by jpic | django-autocomplete-light python
To install 3.3.0-rc1, use: pip install django-autocomplete-light==3.3.0-rc1 New features: @953: Select2 update to 3.4.0.6-rc.1 by @jpic @917: django-nested-admin support by @loicteixeira @815: Simplify customization of autocomplete views by @EvaSDK @746: Select2 Language and dynamic Media by @luzfcb @883: Allow overwriting the results by @eayin2 Bug fixes: @874: Fix Django 1.11.3 error by @ikcam @933: Python 3.6 and Django 2.0 support by @jpic @930: QuerySetSequence querysets order is not preserved by @melvyn-sopacua @909: Prevent initilization of other selects by @loicteixeira @904: Fix KeyError when id is not in attrs by @dwheaton @885: Prevent rendering of empty option on multi select by @johandc @892: Enable different item label for selected item by @maximpetrov @926: Atomic create_object by @jpic @718: Remove temp hack for select2 by @FuzzAU @860: dal: widgets: use the name if we don't have the id by @xrmx @849: Don't create a new option if an iexact-matching one already exists by @liwenyip Also thanks to the many documentation contributors. Read More

DAL 3.2.6 Release

| by jpic | django-autocomplete-light django python
django-autocomplete-light 3.2.6 was released on github and pypi, with: #838: Use namespaced jQuery in `get_forwards` by @ryan-copperleaf & @gagarski #836: Queryset sequence view to display actual model name by @jsoa 3.2.5 and 3.2.6 were briefly hosted on PyPi and are the same. Enjoy <3

django-autocomplete-light 3.2.4

| by jpic | django-autocomplete-light django python
#813: Return 400 on invalid input by @EvaSDK

django-autocomplete-light 3.2.3 release

| by jpic | django-autocomplete-light python django
3.2.3 Two seriously good community contributed bugfixes #799: Support serializing UUIDs and add tests for models with UUIDs as PKs by @blag #826: Prevent rendering of empty option on multi select by @beruic Bravo ! Tests are passing reliabily these days. The code climate is pretty sunny to contribute patches. Help wanted on unit tests: there is a bunch of units and currently everything is tested together with selenium. Read More

DAL 3.2.2: Django 1.11 support

| by jpic | django-autocomplete-light python django
django-autocomplete-light 3.2.2 was released, it supports django 1.11 and is not known to break backward compatibility.

Django-autocomplete-light 3.2.0 release

| by jpic | python django-autocomplete-light django
We have two major features: Advanced field forward options, List based autocompletion. Complete changelog: #745: Add list autocomplete by @dmosberger, https://github.com/jpic and https://github.com/thecardcheat, #754: dal_queryset_sequence documentation update by @chubz #734: Move create_option functionality into it's own method @andybak #741: Fix initial value not set when selected choices aren't strings @thauk-copperleaf #733: Advanced forward features @gagarski #752: Add doc test to CI by @jpic #730: Resolve SystemCheckError fields.E304 @thecardcheat #721: Note about placement of DAL before grappelli by @chubz #748: Update docs example about loading jquery outside the admin @jpic

django-autocomplete-light 3.1.7 release

| by jpic | django-autocomplete-light python django
#714: Update select2 by @meesterguyman #705: Improve compat with dj1.9 by @9nix00 #706: Fix extra require by @blueyed #710: Added note for static files not checked by @geekashu #708: Provide path with dal_select2.E001 by @blueyed #700: Enable HTML markup in select2 item labels by @njoyard

DAL 3.1.6 release

| by jpic | django python django-autocomplete-light
django-autocomplete-light v3.1.6 was released, thanks to these fine contributions: #671: Create_field support with querysetsequence by @jpic #679: Allow create message translation by @maisim #682: Extend ‘forward’ attribute to creating objects as well by @toudi #666: Improved missing ‘created_field’ error by @guettli #670: Javascript loading documentation by @jpic #678: Added example to update autocompletes in JS by @jpic

django-autocomplete-light 3.1.5 release

| by jpic | django python django-autocomplete-light
This release enables field-forwarding in formsets and forms with prefix. Also note that several things have been made to help users: a new tutorial section showing placeholder and minimum-input-length select2 options has been added and a system check will raise an error if select2's js is not present - typically for users who have git clone'd the repo without --recursive, resulting in a wc without select2. For devs, we've moved from django-sbo-selenium to pytest+splinter and it's pretty cool ! Read More

django-autocomplete-light 3.1.3 release

| by jpic | python django django-autocomplete-light
This release provides commit e612748 which fixes a bug in the TaggitSelect2 to reproduce the bugfix in 15f27871 that was issued in 3.1.2.

django-autocomplete-light 3.1.2 release

| by jpic | django python django-autocomplete-light
This posts announces the release of django-autocomplete-light 3.1.2: #634: Select2 Upgrade #628: Do not rely on ids to fix container text #631: Initializing GFKs with values from forms #623: Fix setup.py extras by @ticosax #610: Cancel out Django's style on lists Enjoy B)

Porting ModelForm enhancements from django-autocomplete-light v2 to Django

| by jpic | python django django-autocomplete-light xmodelform
Currently, django-autocomplete-light v2 provides enhancement to default form field generation for model fields, depending on the registered autocompletes, as shown in the tutorial. For v3, we don't want this feature inside DAL anymore because it has really nothing to do with autocomplete. Instead, I'm trying to contribute a generic way to do that. It would not benefit only django-autocomplete-light anymore, but all Django apps. You could get enhanced default form fields for model fields just by installing and configuring apps in your project. Read More

django-autocomplete-light v3: what’s going on

| by jpic | python django django-autocomplete-light
This post clarifies the status of django-autocomplete-light and strategy for v3. Version 2 No further effort will be made to support new versions of Django in v2. However, it supports the current LTS Django 1.8 and future-release Django 1.10, so we've got plenty of time to re-do v2's best features in v3 (in a better way) and most importantly you've got plenty of time to upgrade (until 2018). Version 3 It's a ground-up rewrite and it's not backward compatible - hence the 2 years upgrade plan. Read More

django-autocomplete-light 3.0.0 release

| by jpic | django-autocomplete-light django python
After 4 years of supporting django-autocomplete-light, I'm beginning to figure what users expect and the common mistakes, like registering the wrong model for autocomplete, or having troubbles figuring how to link suggestions with other form fields, or create choices on the fly, or with the magic modelform. So at first, I really tried to find other autocompletion apps for with DAL could be just an extension. It turned out that with they had too much security issues, known security vulnerabilities which aren't going to be fixed (which I don't dare to post here). Read More

django-autocomplete-light 2.3.3 release

| by jpic | python django django-autocomplete-light
This release fixes an important usability but on the manychoice fields, and introduces a minor backward compatibility break: #563 Don't disable multiplechoicewidgets if select is [multiple], bd9ca0085 Don't import anything in init anymore if on django 1.9 test_project fixes, for the above. Disabled field bug Thanks George Tantiras for reporting the bug ! Note that only paliative solutions have been taken for v2: repaired the demo website, should make it easier to spot bugs, bug fix in the JS. Read More

django-autocomplete-light 2.3.0 release

| by jpic | python django django-autocomplete-light
#555 Django 1.4, 1.5 and 1.6 deprecation #497 Enable registration by model-name by @luzfcb #536 #551 Support proxy models b y @onrik #553 improved jQuery integration by @blueyed #516 Corrected french transation by @apinsard #541 Use error_messages on FieldBase to allow overrides by @dsanders11 #505 Ordering alias clash fix by @sandroden #515 Polish translation update by @mpasternak #543 ModelChoiceField requires the queryset argument #494 ModelChoiceField Watch changes to ‘queryset’ by @jonashaag #514 Fixed deprecation warning on Django 1. Read More

Django 1.9 support for Django-autocomplete-light

| by jpic | python django django-autocomplete-light
Since Django 1.9a1 was released, many users are going to upgrade their project and wonder why django-autocomplete-light won't load anymore. Probably, some users are going to google ImportError or even django.core.exceptions.AppRegistryNotReady: Apps aren't loaded yet about autocomplete_light and Django 1.9. This post documents the situation and provides a solution. Do: find test/ -name foo -exec sed -i 's/import autocomplete_light/from autocomplete_light import shortcuts as autocomplete_light/' '{}' \; I don't remember why exactly since we've baked Django 1. Read More

django-autocomplete-light 2.2.0 release

| by jpic | python django django-autocomplete-light
After 8 release candidates, we've got our new shining 2.2.0 release of django-autocomplete-light which literally drown the backlog, we're down to less than one github page of issues now. Needless to say, we've closed an insane amount of issues with 2.2.0. Please read the release notes before upgrading.

django-autocomplete-light 2.2.0rc1 release notes

| by jpic | django-autocomplete-light django python
This article presents the changelog for django-autocomplete-light 2.2.0 release. To upgrade to 2.2.0rc1: pip install -U --pre django-autocomplete-light If you find any problem, please report it on github issues and downgrade to last stable (2.1.x series): pip install -U django-autocomplete-light Pending break warning, Django >= 1.9 The good old import autocomplete_light API support will be dropped with Django 1.9. All imports have moved to autocomplete_light.shortcuts and importing autocomplete_light will work until the project is used with Django 1. Read More
1 of 3 Next Page